# this define is intended to make it easy to produce builds 
# which are suitable for countries where card games are prohibited
%define build_card 1 

Summary: GNOME games extra data
Name: gnome-games-extra-data
Version: 2.17.90
Release: 2%{?dist}
License: GPL
Group: Amusements/Games
Source: http://ftp.gnome.org/pub/gnome/sources/gnome-games-extra-data/2.17/gnome-games-extra-data-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.gnome.org
BuildArch: noarch
Requires: gnome-games >= 2.18.0-3.fc7

%description

The gnome-games-extra-data package includes additional data
and themes for the games in the gnome-games package.

%prep
%setup -q

%build
%configure
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We don't ship gnometris
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnometris

%if ! %{build_card}
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-games-common/cards
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc AUTHORS COPYING MAINTAINERS README NEWS ChangeLog
%{_datadir}/pixmaps/glines/*
%{_datadir}/pixmaps/gnobots2/*
%{_datadir}/pixmaps/iagno/*
%{_datadir}/pixmaps/mahjongg/*
%if %{build_card}
%{_datadir}/pixmaps/gnome-games-common/cards/*
%endif
%{_datadir}/gnome-games/same-gnome/themes/2.10/*


%changelog
* Wed Mar 28 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.90-2
- Incorporate review feedback

* Wed Mar 28 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.90-1
- Initial build

